Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3StoredDrag Class Reference

The Q3StoredDrag class provides a simple stored-value drag object for arbitrary MIME data. More...

    #include <Q3StoredDrag>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits Q3DragObject.

Inherited by Q3UriDrag and Q3ColorDrag.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- Q3StoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )
- ~Q3StoredDrag ()
- virtual QByteArray encodedData ( const char * format ) const
- virtual void setEncodedData ( const QByteArray & data )

- 9 public functions inherited from Q3DragObject
- 26 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 1 static public member inherited from Q3DragObject
- 4 static public members inherited from QObject

### Protected Functions

- 1 protected function inherited from Q3DragObject
- 7 protected functions inherited from QObject

## Detailed Description

The Q3StoredDrag class provides a simple stored-value drag object for arbitrary MIME data.

When a block of data has only one representation, you can use a Q3StoredDrag to hold it.

For more information about drag and drop, see the Q3DragObject class and the drag and drop documentation.

## Member Function Documentation

### Q3StoredDrag::Q3StoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )

Constructs a Q3StoredDrag. The dragSource and name are passed to the Q3DragObject constructor, and the format is set to mimeType.

The data will be unset. Use setEncodedData() to set it.

### Q3StoredDrag::~Q3StoredDrag ()

Destroys the drag object.

### QByteArray Q3StoredDrag::encodedData ( const char * format ) const `[virtual]`

Returns the stored data in the format given.

Reimplemented from QMimeSource.

See also setEncodedData().

### void Q3StoredDrag::setEncodedData ( const QByteArray & data ) `[virtual]`

Sets the encoded data of this drag object. The encoded data is delivered to drop sites; it must be in a strictly defined and portable format.

The drag object can't be dropped (by the user) until this function has been called.